<div class="header">
  A Simple Web App
</div>

<div class="input">
  <div class="input-field">
    <div class="description">Your JSON File</div>
    <div class="field">
      <div class="text">Please upload your file here</div>
      <app-file-uploader [fileSizeLimitInMB]="1" (uploadedFile)="onReceiveData($event)"></app-file-uploader>
    </div>
  </div>

  <div class="input-field">
    <div class="description">Name</div>
    <div class="field">
      <mat-form-field appearance="outline" class="full-width">
        <input matInput [placeholder]="'Name of the node'" [formControl]="nameControl" />
        <mat-error *ngIf="nameControl.hasError('required')">
          Name is <strong>required</strong>
        </mat-error>
      </mat-form-field>
    </div>
  </div>

  <div class="input-field">
    <div class="description">Distance</div>
    <div class="field">
      <mat-form-field appearance="outline" class="full-width">
        <input matInput [placeholder]="'Distance'" [formControl]="distanceControl"/>
        <mat-error *ngIf="distanceControl.hasError('required')">
          Distance is <strong>required</strong>
        </mat-error>
        <mat-error *ngIf="!distanceControl.hasError('required') && distanceControl.hasError('pattern')">
          Please enter a valid distance
        </mat-error>
      </mat-form-field>
    </div>
  </div>

  <div class="input-field">
    <div class="description"></div>
    <div class="field">
      <button mat-stroked-button type="button" color="primary" (click)="onClick()"> Get Results</button>
      <div class="error" *ngIf="showErrorMessage">Error: incompleted data!</div>
    </div>
  </div>
  <mat-divider></mat-divider>
</div>

<div class="output" *ngIf="showOutput">
  <div class="output-field" *ngIf="!noOutput">
    <div class="description" style="color: darkgreen">Set of Elements Mn</div>
    <div>
      <div class="node" style="color: darkgreen" *ngFor="let node of setOfMn">
        <div>Name: {{node.name}}</div>
        <div>Position: ({{node.x}}, {{node.y}})</div>
        <div>Connections: {{node.connections}}</div>
      </div>
    </div>
  </div>
  <div class="output-field" *ngIf="!noOutput">
    <div class="description" style="color: darkblue">Set of Elements Md</div>
    <div>
      <div class="node" style="color: darkblue" *ngFor="let nodeInfo of setOfMd">
        <div>Name: {{nodeInfo.node.name}}</div>
        <div>Position: ({{nodeInfo.node.x}}, {{nodeInfo.node.y}})</div>
        <div>Distance: {{nodeInfo.distance}}</div>
      </div>
    </div>
  </div>
  <div class="output-field" *ngIf="noOutput">
    <div class="description" style="color: red">No valid nodes!</div>
    <div></div>
  </div>
</div>

